Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005791 [JEDI VCL] 02 Installation minor always 2012-02-13 11:37 2012-09-10 14:15
Reporter a-s-z View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005791: Unable to compile pg.exe / pgEdit.exe
Description I wanted to add a new package and made a bugfix in JvDB-R.xml (JvDBActionsEngineDatasetOdac.pas is using a wrong condition USE_3RDPARTY_ODAC, should be USE_3RDPARTY_CORELAB_ODAC?).

Unfortunatly I did not manage to compile pg.exe (F1026 File not found: DelphiData.dcu), so I can not generate the needed packages. In addition pgEdit references a nonexistent file (AdvancedOptionsForm.pas)

I have used the batch file "compiledevtools.bat" for compilation. jcl/jvcl is installed properly in "normal" mode (no dev install) .

How can I compile and use the devtools (pg.exe or pgEdit.exe) to update the packages?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019407)
jfudickar (developer)
2012-02-13 18:53

Normally you only should change the xml file, and then the installer does everything else.

Regards
Jens
(0019410)
jfudickar (developer)
2012-02-13 21:43

I've changed the definition of JvDB-R.xml in SVN
(0019411)
a-s-z (reporter)
2012-02-13 21:44

So I do not need pg.exe/pgEdit.exe at all?
Package files will be updated "on-the-fly"?
(0019412)
jfudickar (developer)
2012-02-13 22:02

I've fixed the definition for the one package.
So this should be updated automaticly.

I'm not shure if the installer uses pg.exe internally, or how the files are generated.

But it should work now :-)
(0019467)
obones (administrator)
2012-02-22 15:12

The installer uses the same code as pg

- Issue History
Date Modified Username Field Change
2012-02-13 11:37 a-s-z New Issue
2012-02-13 18:53 jfudickar Note Added: 0019407
2012-02-13 18:55 jfudickar Status new => feedback
2012-02-13 21:43 jfudickar Note Added: 0019410
2012-02-13 21:44 a-s-z Note Added: 0019411
2012-02-13 22:02 jfudickar Note Added: 0019412
2012-02-22 15:12 obones Note Added: 0019467
2012-02-22 15:12 obones Status feedback => resolved
2012-02-22 15:12 obones Fixed in Version => Daily / SVN
2012-02-22 15:12 obones Resolution open => fixed
2012-02-22 15:12 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker